Subject: Re: [PATCH] tcp: splice as many packets as possible at once

From: Jarek Poplawski <[email-masked]>
Date: Mon, 26 Jan 2009 07:59:33 +0000

On Sun, Jan 25, 2009 at 10:03:25PM +0100, Willy Tarreau wrote:
...
> The memory allocation clearly is the culprit here. I'll try Jarek's
> patch which reduces memory allocation to see if that changes something,
> as I'm sure we can do fairly better, given how it behaves with limited
> sessions.

I think you are right, but I wonder if it's not better to wait with
more profiling until this splicing is really redone.

Regards,
Jarek P.